Bug 1938933 - Missing or wrong version of dependency containers-common
Summary: Missing or wrong version of dependency containers-common
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: skopeo
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-15 09:19 UTC by Vasco Rodrigues
Modified: 2021-04-04 00:18 UTC (History)
9 users (show)

Fixed In Version: skopeo-1.2.2-24.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-04 00:18:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Vasco Rodrigues 2021-03-15 09:19:56 UTC
Description of problem:
Problem: cannot install the best update candidate for package skopeo-1:1.2.1-28.dev.git1b813f8.fc34.x86_64
  - nothing provides containers-common >= 4:1-6 needed by skopeo-1:1.2.2-22.fc34.x86_64

Version-Release number of selected component (if applicable):
skopeo-1:1.2.2-22.fc34.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. dnf update

Actual results:
Doesn't update

Expected results:
Update package skopeo

Comment 1 Lokesh Mandvekar 2021-03-15 19:29:04 UTC
I see this issue while installing skopeo on f34 as well, but I have a hard time seeing why it exists. The containers-common dependency required has existed in f34 stable for over 2 months now.
https://bodhi.fedoraproject.org/updates/FEDORA-2021-c0eac714bd

Comment 2 Vasco Rodrigues 2021-03-16 10:27:54 UTC
I think it's the epoch, it requires a epoch 4 and in the containers-common package it's 1, in the source package of the skopeo update it is also 4. Change it to 1 and should be fixed.
Line 71 of the spec - Requires: containers-common >= 4:1-6
Should be 1:1-6 I think

Comment 3 Fedora Update System 2021-03-16 16:41:39 UTC
FEDORA-2021-864447db79 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-864447db79

Comment 4 Fedora Update System 2021-03-16 23:30:25 UTC
FEDORA-2021-864447db79 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-864447db79`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-864447db79

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-17 13:11:02 UTC
FEDORA-2021-864447db79 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-864447db79

Comment 6 Lokesh Mandvekar 2021-03-17 13:12:41 UTC
Vasco, I had to add a new build of skopeo to fix some gating test issues which ended up resetting your prior karma. Would you mind testing and adding karma again please? Sorry about that.

Comment 7 Fedora Update System 2021-03-18 21:45:28 UTC
FEDORA-2021-864447db79 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-864447db79`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-864447db79

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-04-03 15:32:54 UTC
FEDORA-2021-864447db79 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-864447db79

Comment 9 Fedora Update System 2021-04-04 00:18:02 UTC
FEDORA-2021-864447db79 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.